Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.jersey.api.model
Enum Parameter.Source

    java.lang.Object
      java.lang.Enum<Parameter.Source>
          com.sun.jersey.api.model.Parameter.Source

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Parameter.Source>

Enclosing class:
  Parameter

    public static enum Parameter.Source

extends java.lang.Enum<Parameter.Source>

Enum Constant Summary
`CONTEXT`
`COOKIE`
`ENTITY`
`HEADER`
`MATRIX`
`PATH`
`QUERY`
`UNKNOWN`

Method Summary
`static Parameter.Source` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Parameter.Source[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY

    public static final Parameter.Source ENTITY

### QUERY

    public static final Parameter.Source QUERY

### MATRIX

    public static final Parameter.Source MATRIX

### PATH

    public static final Parameter.Source PATH

### COOKIE

    public static final Parameter.Source COOKIE

### HEADER

    public static final Parameter.Source HEADER

### CONTEXT

    public static final Parameter.Source CONTEXT

### UNKNOWN

    public static final Parameter.Source UNKNOWN

Method Detail

### values

    public static final Parameter.Source[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Parameter.Source c : Parameter.Source.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Parameter.Source valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.